

# run  the simulations, first one, then the others
#   rm(EU_inputdat)


run_day =format(Sys.time(), "%Y-%m-%d")
#--------------------------------------------------------------------------------------------------------------------------------------
# run the   
EU_inputdat <- dat_A
NumSims <- nrow(EU_ss)
#
EU_sims<-  make_EU_allocation( EU_simspecs=EU_ss[1,], input_dat = EU_inputdat,  IOTC_data=IOTC_data2 , SIDS=SIDS, new.entrants = NULL, Corr.Fac= NULL)  
EU_sims <-  EU_sims%>% select(SPECIES_CODE, flag, CA_final)
#str(EU_sims)
#
start_time <- Sys.time()
for(i in 2:NumSims){ 
  EU_sims<-cbind( EU_sims,   make_EU_allocation( EU_simspecs=EU_ss[i,], input_dat = EU_inputdat,  IOTC_data=IOTC_data2, SIDS=SIDS, new.entrants = NULL, Corr.Fac= NULL)[,"CA_final"] )
  cat("/n finished Sim  " , i)
  
}
colnames(EU_sims ) <-c( "SPECIES_CODE","flag", paste0("Sim_", seq(1:i)) ) 

EU_sims_90 <- EU_sims
# save the work  

 
st <- paste0(run_day, "_Allo90-10")
save( EU_sims_90, file= paste0(output_dir, "/EU_sims_",st, ".Rdata"  ) )
write.csv(EU_sims_90, file=paste0(output_dir, "/EU_sims_",st, ".CSV"  ), row.names = FALSE)
rm(EU_sims)

#------------------------------------------------------------------- now run the 80 /20
EU_inputdat <- dat_b
NumSims <- nrow(EU_ss)
#
EU_sims<-  make_EU_allocation( EU_simspecs=EU_ss[1,], input_dat = EU_inputdat,  IOTC_data=IOTC_data2 , SIDS=SIDS, new.entrants = NULL, Corr.Fac= NULL)  
EU_sims <-  EU_sims%>% select(SPECIES_CODE, flag, CA_final)
#str(EU_sims)
#
start_time <- Sys.time()
for(i in 2:NumSims){ 
  EU_sims<-cbind( EU_sims,   make_EU_allocation( EU_simspecs=EU_ss[i,], input_dat = EU_inputdat,  IOTC_data=IOTC_data2, SIDS=SIDS, new.entrants = NULL, Corr.Fac= NULL)[,"CA_final"] )
  cat("/n finished Sim  " , i)
  
}
colnames(EU_sims ) <-c( "SPECIES_CODE","flag", paste0("Sim_", seq(1:i)) ) 

EU_sims_80 <- EU_sims
# save the work  

run_day =format(Sys.time(), "%Y-%m-%d")
st <- paste0(run_day, "_Allo80-20")
save( EU_sims_80, file= paste0(output_dir, "/EU_sims_",st, ".Rdata"  ) )
write.csv(EU_sims_80, file=paste0(output_dir, "/EU_sims_",st, ".CSV"  ), row.names = FALSE)
rm(EU_sims)

#------------------------------------------------------------------- now run the 100 /00
EU_inputdat <- dat_c
NumSims <- nrow(EU_ss)
#
EU_sims<-  make_EU_allocation( EU_simspecs=EU_ss[1,], input_dat = EU_inputdat,  IOTC_data=IOTC_data2 , SIDS=SIDS, new.entrants = NULL, Corr.Fac= NULL)  
EU_sims <-  EU_sims%>% select(SPECIES_CODE, flag, CA_final)
#str(EU_sims)
#
start_time <- Sys.time()
for(i in 2:NumSims){ 
  EU_sims<-cbind( EU_sims,   make_EU_allocation( EU_simspecs=EU_ss[i,], input_dat = EU_inputdat,  IOTC_data=IOTC_data2, SIDS=SIDS, new.entrants = NULL, Corr.Fac= NULL)[,"CA_final"] )
  cat("/n finished Sim  " , i)
  
}
colnames(EU_sims ) <-c( "SPECIES_CODE","flag", paste0("Sim_", seq(1:i)) ) 

EU_sims_100 <- EU_sims
# save the work  


st <- paste0(run_day, "_Allo100-00")
save( EU_sims_100, file= paste0(output_dir, "/EU_sims_",st, ".Rdata"  ) )
write.csv(EU_sims_100, file=paste0(output_dir, "/EU_sims_",st, ".CSV"  ), row.names = FALSE)
rm(EU_sims)
#  EU_sims_80 <- EU_sims
#  EU_sims_90 <- EU_sims
#  EU_sims_100 <- EU_sims

cat(paste0( 'Runs Done \n check output directory\n', output_dir) )


